<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="m4play.css">
	<link rel="stylesheet" href="videojuegosDetalle.css" />
	<title>Detalle</title>

	<script>
		function loadXMLDoc(filename) {
			//Abrimos una conexión con el servidor
			xhttp = new XMLHttpRequest();
			//Pedimos un fichero
			xhttp.open("GET", filename, false);
			try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
			xhttp.send("");
			return xhttp.responseXML;
		}

		//Funcion que nos permite recuperar el Identificador de la receta seleccionada
		//en la pantalla principal. Viene por la URL, método GET.
		function getId(sParametroNombre) {
			var sPaginaURL = window.location.search.substring(1);
			var sURLVariables = sPaginaURL.split('&');
			for (var i = 0; i < sURLVariables.length; i++) {
				var sParametro = sURLVariables[i].split('=');
				if (sParametro[0] == sParametroNombre) {
					return sParametro[1];
				}
			}
			return null;
		}


		function displayResult() {
			//Buscamos en la URL el parametro id usando la funcion getId
			var idReceta = getId('id');
			if (idReceta) {
				//Queremos cargar los ficheros XML y XSLT

				// CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
				xml = loadXMLDoc("videojuego" + idReceta + ".xml");
				xsl = loadXMLDoc("videojuegosDetalle.xsl");
				if (document.implementation && document.implementation.createDocument) {
					//Lanzamos el xsltproc que tiene el navegador
					xsltProcessor = new XSLTProcessor();
					xsltProcessor.importStylesheet(xsl);
					resultDocument = xsltProcessor.transformToFragment(xml, document);
					//El resultado de la transformación los ponemos dentro del elemento
					//section con identificador CONTENT-RECETAS
					document.getElementById("content-videojuego").appendChild(resultDocument);
				}
			} else {
				alert("El parámetro no existe en la URL");
			}
		}
	</script>


</head>

<body class="content-body" onload="displayResult()">
	

	<header>
        <div class="logoContainer">
            <img src="src/M4PLay.jpg" alt="Logo de la pagina" class="logo">
        </div>

        <h1>I LEARNING THROUGH PLAY</h1>
        <nav class="sticky">
            <a href="index.html">M04PLAY</a>
            <a href="videojuegos.html">VIDEOJUEGOS</a>
            <a href="">NOTICIAS</a>
            <a href="">RANKING</a>
            <a href="">ENCUESTA</a>
            <a href="">CONTACTO</a>
        </nav>
	</header>

	<main>
		
		
		<!---CONTENEDOR DE L CÓDIGO DÓNDE IRÁ LA RECETA-->
		<section class="content" id="content-videojuego">
		</section>

	</main>

	<footer>
		<div class="footerContainer">
            <div class="enlaces">
                <a href="www.facebook.com"> <img src="src/facebook.png" alt="Facebook"></a>
                <a href="www.twitter.com"> <img src="src/twitter.png" alt="Twitter"></a>
                <a href="www.instagram.com"> <img src="src/instagram.png" alt="Instagram"></a>
                <a href="www.youtube.com"><img src="src/youtube.png" alt="Youtube"></a>
            </div>

            <div class="direccion">
                <address>Carrer d'Aiguablava 121 <br>08033 Barcelona</address>
            </div>

            <div class="copyright">
                <p>© 2022 Angel Navarrete Sanchez</p>
            </div>
        </div>

	</footer>

</body>

</html>